### Function

# Gio Settings sync

#### Declaration [src]

    void
    g_settings_sync (
      void
    )

#### Description [src]

Ensures that all pending operations are complete for the default backend.

Writes made to a `GSettings` are handled asynchronously. For this reason, it is very unlikely that the changes have it to disk by the time `g_settings_set()` returns.

This call will block until all of the writes have made it to the backend. Since the main loop is not running, no change notifications will be dispatched during this call (but some may be queued by the time the call is done).